Uploaded image for project: 'Jenkins Website'
  1. Jenkins Website
  2. WEBSITE-351

Plugin security update warning did not disappear after installation of patch

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Done (View Workflow)
    • Priority: Major
    • Resolution: Not A Defect
    • Component/s: core
    • Labels:
      None
    • Similar Issues:

      Description

      I installed all the suggested security updates for the plugins.

      However, the update suggestion/warning for Claim Plugin 2.9 is still shown.

      But 2.9 is already installed, Jenkins was restarted 2 times after the installation.

      I looked into the JAR file of the plugin. The Manifest file says it's version 2.9

      Jenkins version is 2.32.2

        Attachments

          Activity

          Hide
          codingspiderfox Chris H added a comment -

          Doh! Created this in the WEBSITE project instead of JENKINS. Could you please move it there or will it be closed and I should create a new issue?

          Show
          codingspiderfox Chris H added a comment - Doh! Created this in the WEBSITE project instead of JENKINS. Could you please move it there or will it be closed and I should create a new issue?
          Hide
          danielbeck Daniel Beck added a comment -

          As per the advisory linked from the warning, https://jenkins.io/security/advisory/2017-04-10/#claim-plugin

          As of publication of this advisory, there is no fix.

          and

          Affected versions:

          • Claim (all versions)

          You should evaluate the warning, and have basically these choices:

          • disable or uninstall the plugin (click the first button below the warning to go to the plugin manager)
          • decide the issue doesn't matter to you and hide the warning in the global security configuration (click the the second button below the warning to go to the global security configuration)
          Show
          danielbeck Daniel Beck added a comment - As per the advisory linked from the warning, https://jenkins.io/security/advisory/2017-04-10/#claim-plugin As of publication of this advisory, there is no fix. and Affected versions: Claim (all versions) You should evaluate the warning, and have basically these choices: disable or uninstall the plugin (click the first button below the warning to go to the plugin manager) decide the issue doesn't matter to you and hide the warning in the global security configuration (click the the second button below the warning to go to the global security configuration)

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            codingspiderfox Chris H
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: